Skip to main content

Retrieve All International External Accounts

Suggest Edits


6.1 Overview

You can retrieve all the international external accounts linked to a customer using the GET method, as described below.


6.2 Resource Access

Production (api.ahrvo.network)

GET https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount

Staging (gateway.ahrvo.network)

GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount

6.3 Example Request

Retrieve all International External Accounts linked to a customer

GET /banking/us2/v1/customer/id/{customerId}/internationalExternalAccount HTTP/1.1
Host: {hostname}
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json

6.4 Example Response

[
{
"resourceName": "internationalExternalAccount",
"url": "/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}",
"id": "{internationalExternalAccountId}",
"externalId": "{externalId}",
"type": "CHECKING",
"holderName": "{holderName}",
"holderPhone": "{holderPhone}",
"holderEmail": "{holderEmail}",
"swiftCode": "{swiftCode}",
"acceptedCurrency": [
"USD"
],
"purpose": "{purpose}",
"holderType": "CORPORATE",
"accountNumberLast4": "{accountNumberLast4}",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "{statusDate}",
"holderAddress": {
"addressLine1": "{addressLine1}",
"addressLine2": "{addressLine2}",
"city": "{city}",
"state": "{state}",
"zip": "{zip}",
"country": "{country}"
},
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "{ofacStatusReason}",
"ofacStatusDate": "{ofacStatusDate}"
},
"createdOn": "{createdOn}",
"createdBy": {
"username": "{username}",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "{username}",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedOn": "{lastUpdatedOn}"
},
{
"resourceName": "internationalExternalAccount",
"url": "/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}",
"id": "{internationalExternalAccountId}",
"type": "CHECKING",
"holderName": "{holderName}",
"holderPhone": "{holderPhone}",
"holderEmail": "{holderEmail}",
"swiftCode": "{swiftCode}",
"internationalRoutingCode": "{internationalRoutingCode}",
"acceptedCurrency": [
"CAD"
],
"purpose": "{purpose}",
"holderType": "CORPORATE",
"accountNumberLast4": "{accountNumberLast4}",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "{statusDate}",
"holderAddress": {
"addressLine1": "{addressLine1}",
"addressLine2": "{addressLine2}",
"city": "{city}",
"state": "{state}",
"zip": "{zip}",
"country": "{country}"
},
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "{ofacStatusReason}",
"ofacStatusDate": "{ofacStatusDate}"
},
"createdOn": "{createdOn}",
"createdBy": {
"username": "{username}",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "{username}",
"status": "ACTIVE",
"userType": "SYSTEM"
},
"lastUpdatedOn": "{lastUpdatedOn}",
"additionalDetail": {
"taxID": "{taxID}"
}
}
]

6.5 Example HTTP Status

```http
HTTP/1.1 200 OK

API Documentation